var xmlhttp;

// Pobieranie przepisu za pomocą Ajaksa
function getRecipe(evnt) {
   if (!xmlhttp) xmlhttp = aaGetXmlHttpRequest();
   if (!xmlhttp) return;
   var drink = encodeURIComponent(document.getElementById('drink').value);
   var qry = "drink=" + drink;
   var url = 'drink.php?' + qry;
   xmlhttp.open('GET', url, true);
   xmlhttp.onreadystatechange = printRecipe;
   xmlhttp.send(null);
   if (evnt && evnt.preventDefault())
     evnt.preventDefault();
   return false;
}

// W tej wersji jedynie wyświetla nagłówki i tekst odpowiedzi
function printRecipe() {
   if(xmlhttp.readyState == 4 && xmlhttp.status == 200) {
      alert(xmlhttp.getAllResponseHeaders());
      alert(xmlhttp.responseText);
   }
}

// Interwencja w przesyłanie formularza
window.onload=function() {
   if (aaScreenIE()) return;
   document.getElementById('myform').onsubmit=getRecipe;
};

